<template>
  <v-card>
    <v-card-title>Банковские реквизиты</v-card-title>
    <v-card-text>
      <container>
        <v-row>
          <v-col cols='12'>
            <v-text-field
              label='ФИО'
              readonly
              :value='fullName'
              hide-details
            />
          </v-col>
          <v-col cols='12'>
            <v-text-field
              label='Наименования банка'
              readonly
              :value='bankDetails.bank'
              hide-details
            />
          </v-col>
          <v-col cols='12'>
            <v-text-field label='Номер карты' readonly :value='bankDetails.card'/>
          </v-col>
        </v-row>
      </container>
    </v-card-text>
  </v-card>
</template>

<script lang='ts'>

import Vue from 'vue';
import Component from 'vue-class-component';
import { BankDetailsResponse } from '@/api/ledius-token';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class BankDetailsCard extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly bankDetails!: BankDetailsResponse;

  private get fullName(): string {
    const { first, last, patronymic } = this.bankDetails.name;
    return `${last} ${first} ${patronymic}`;
  }
}

</script>

<style scoped>

</style>
